Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
GuiAutoScrollCtrl Class Reference

`#include <guiAutoScrollCtrl.h>`

Inheritance diagram for GuiAutoScrollCtrl:

## Public Member Functions
| GuiAutoScrollCtrl ()
| ~GuiAutoScrollCtrl ()
| DECLARE_CONOBJECT (GuiAutoScrollCtrl)
virtual void | onChildAdded (GuiControl *control)
| Called when this object has a new child. More...
virtual void | onChildRemoved (GuiControl *control)
| Called when one of this objects children is removed. More...
virtual void | resize (const Point2I &newPosition, const Point2I &newExtent)
virtual void | childResized (GuiControl *child)
virtual void | processTick ()
virtual void | advanceTime (F32 timeDelta)
Public Member Functions inherited from GuiTickCtrl
| DECLARE_CONOBJECT (GuiTickCtrl)
Public Member Functions inherited from GuiControl
virtual void | getScrollLineSizes (U32 *rowHeight, U32 *columnWidth)
virtual void | getCursor (GuiCursor *&cursor, bool &showCursor, const GuiEvent &lastGuiEvent)
void | awaken ()
| Called when this control and its children have been wired up. More...
void | sleep ()
| Called when this control is no more. More...
void | preRender ()
| Prerender this control and all its children. More...
virtual bool | onInputEvent (const InputEvent &event)
| General input handler. More...
virtual bool | ControlIsChild (GuiControl *child)
void | setControlProfile (GuiControlProfile *prof)
virtual void | onAction ()
| Occurs when this control performs its "action". More...
void | renderJustifiedText (Point2I offset, Point2I extent, const char *text)
void | inspectPostApply ()
void | inspectPreApply ()
void | setSizing (S32 horz, S32 vert)
void | write (Stream &stream, U32 tabStop, U32 flags)
| Overrides Parent Serialization to allow specific controls to not be saved (Dynamic Controls, etc) More...
bool | getCanSave ()
| Returns boolean specifying if a control can be serialized. More...
void | setCanSave (bool bCanSave)
| Set serialization flag. More...
bool | getCanSaveParent ()
| Returns boolean as to whether any parent of this control has the 'no serialization' flag set. More...
const Point2I & | getPosition ()
| Returns position of the control. More...
const Point2I & | getExtent ()
| Returns extents of the control. More...
const RectI & | getBounds ()
| Returns the bounds of the control. More...
const Point2I & | getMinExtent ()
| Returns minimum size the control can be. More...
const S32 | getLeft ()
| Returns the X position of the control. More...
const S32 | getTop ()
| Returns the Y position of the control. More...
const S32 | getWidth ()
| Returns the width of the control. More...
const S32 | getHeight ()
| Returns the height of the control. More...
virtual void | setVisible (bool value)
bool | isVisible ()
| Returns true if the object is visible. More...
void | setActive (bool value)
bool | isActive ()
| Returns true if this control is active. More...
bool | isAwake ()
| Returns true if this control is awake. More...
void | addObject (SimObject *obj)
void | removeObject (SimObject *obj)
GuiControl * | getParent ()
| Returns the control which owns this one. More...
GuiCanvas * | getRoot ()
Point2I | localToGlobalCoord (const Point2I &src)
Point2I | globalToLocalCoord (const Point2I &src)
virtual void | setPosition (const Point2I &newPosition)
virtual void | setExtent (const Point2I &newExtent)
virtual void | setBounds (const RectI &newBounds)
virtual void | setLeft (S32 newLeft)
virtual void | setTop (S32 newTop)
virtual void | setWidth (S32 newWidth)
virtual void | setHeight (S32 newHeight)
virtual void | parentResized (const Point2I &oldParentExtent, const Point2I &newParentExtent)
virtual void | onRender (Point2I offset, const RectI &updateRect)
virtual bool | renderTooltip (Point2I cursorPos, const char *tipText=NULL)
void | renderChildControls (Point2I offset, const RectI &updateRect)
void | setUpdateRegion (Point2I pos, Point2I ext)
virtual void | setUpdate ()
| Sets the update area of the control to encompass the whole control. More...
virtual bool | onWake ()
| Called when this object is asked to wake up returns true if it's actually awake at the end. More...
virtual void | onSleep ()
| Called when this object is asked to sleep. More...
virtual void | onPreRender ()
| Do special pre-render proecessing. More...
virtual void | onRemove ()
| Called when this object is removed. More...
bool | onAdd ()
| Called when this object is added to the scene. More...
virtual bool | pointInControl (const Point2I &parentCoordPoint)
bool | cursorInControl ()
| Returns true if the global cursor is inside this control. More...
virtual GuiControl * | findHitControl (const Point2I &pt, S32 initialLayer=-1)
void | mouseLock (GuiControl *lockingControl)
void | mouseLock ()
| Turn on mouse locking with last used lock control. More...
void | mouseUnlock ()
| Unlock the mouse. More...
bool | isMouseLocked ()
| Returns true if the mouse is locked. More...
virtual void | onMouseUp (const GuiEvent &event)
virtual void | onMouseDown (const GuiEvent &event)
virtual void | onMouseMove (const GuiEvent &event)
virtual void | onMouseDragged (const GuiEvent &event)
virtual void | onMouseEnter (const GuiEvent &event)
virtual void | onMouseLeave (const GuiEvent &event)
virtual bool | onMouseWheelUp (const GuiEvent &event)
virtual bool | onMouseWheelDown (const GuiEvent &event)
virtual void | onRightMouseDown (const GuiEvent &event)
virtual void | onRightMouseUp (const GuiEvent &event)
virtual void | onRightMouseDragged (const GuiEvent &event)
virtual void | onMiddleMouseDown (const GuiEvent &event)
virtual void | onMiddleMouseUp (const GuiEvent &event)
virtual void | onMiddleMouseDragged (const GuiEvent &event)
virtual bool | onMouseDownEditor (const GuiEvent &event, Point2I offset)
virtual bool | onMouseUpEditor (const GuiEvent &event, Point2I offset)
virtual bool | onRightMouseDownEditor (const GuiEvent &event, Point2I offset)
virtual bool | onMouseDraggedEditor (const GuiEvent &event, Point2I offset)
virtual GuiControl * | findFirstTabable ()
| Find the first tab-accessable child of this control. More...
virtual GuiControl * | findLastTabable (bool firstCall=true)
virtual GuiControl * | findPrevTabable (GuiControl *curResponder, bool firstCall=true)
virtual GuiControl * | findNextTabable (GuiControl *curResponder, bool firstCall=true)
virtual void | setFirstResponder (GuiControl *firstResponder)
virtual void | makeFirstResponder (bool value)
bool | isFirstResponder ()
| Returns true if this control is a first responder. More...
virtual void | setFirstResponder ()
| Sets this object to be a first responder. More...
void | clearFirstResponder ()
| Clears the first responder for this chain. More...
GuiControl * | getFirstResponder ()
| Returns the first responder for this chain. More...
virtual void | onLoseFirstResponder ()
| Occurs when the first responder for this chain is lost. More...
void | addAcceleratorKey ()
| Adds the accelerator key for this object to the canvas. More...
virtual void | buildAcceleratorMap ()
virtual void | acceleratorKeyPress (U32 index)
virtual void | acceleratorKeyRelease (U32 index)
virtual bool | onKeyDown (const GuiEvent &event)
virtual bool | onKeyUp (const GuiEvent &event)
virtual bool | onKeyRepeat (const GuiEvent &event)
void | messageSiblings (S32 message)
| Send a message to all siblings. More...
virtual void | onMessage (GuiControl *sender, S32 msg)
virtual void | onDialogPush ()
| Called if this object is a dialog, when it is added to the visible layers. More...
virtual void | onDialogPop ()
| Called if this object is a dialog, when it is removed from the visible layers. More...
void | setConsoleVariable (const char *variable)
void | setConsoleCommand (const char *newCmd)
const char * | getConsoleCommand ()
| Returns the name of the function bound to this GuiControl. More...
LangTable * | getGUILangTable (void)
const UTF8 * | getGUIString (S32 id)
virtual const char * | getScriptValue ()
| Returns the value of the variable bound to this object. More...
virtual void | setScriptValue (const char *value)
| Sets the value of the variable bound to this object. More...
| DECLARE_CONOBJECT (GuiControl)
| GuiControl ()
virtual | ~GuiControl ()
Public Member Functions inherited from SimGroup
| ~SimGroup ()
void | addObject (SimObject *, SimObjectId)
void | addObject (SimObject *, const char *name)
virtual SimObject * | findObject (const char *name)
| Find an object in the group. More...
bool | processArguments (S32 argc, const char **argv)
| Process constructor options. (ie, new SimObject(1,2,3)) More...
| DECLARE_CONOBJECT (SimGroup)
Public Member Functions inherited from SimSet
| SimSet ()
| ~SimSet ()
virtual void | onDeleteNotify (SimObject *object)
virtual U32 | getTamlChildCount (void) const
| Called when Taml attempts to compile a list of children. More...
virtual SimObject * | getTamlChild (const U32 childIndex) const
| Called when Taml attempts to compile a list of children. More...
virtual void | addTamlChild (SimObject *pSimObject)
| Called when Taml attempts to populate an objects children during a read. More...
void | callOnChildren (const char *method, S32 argc, const char *argv[], bool executeOnChildGroups=true)
SimObject * | findObjectByInternalName (const char *internalName, bool searchChildren=false)
virtual bool | writeObject (Stream *stream)
virtual bool | readObject (Stream *stream)
void | lock ()
void | unlock ()
| DECLARE_CONOBJECT (SimSet)
void | _setVectorAssoc (const char *file, const U32 line)
virtual void | pushObject (SimObject *)
virtual void | popObject ()
| Remove an object from the end of the list. More...
void | bringObjectToFront (SimObject *obj)
void | pushObjectToBack (SimObject *obj)
SimObject * | front ()
SimObject * | first ()
SimObject * | last ()
bool | empty ()
S32 | size () const
iterator | begin ()
iterator | end ()
value | operator[] (S32 index)
iterator | find (iterator first, iterator last, SimObject *obj)
iterator | find (SimObject *obj)
template<typename T >
bool | containsType (void)
virtual bool | reOrder (SimObject *obj, SimObject *target=0)
SimObject * | at (S32 index) const
void | deleteObjects (void)
void | clear ()
Public Member Functions inherited from SimObject
StringTableEntry | getClassNamespace () const
StringTableEntry | getSuperClassNamespace () const
void | setClassNamespace (const char *classNamespace)
void | setSuperClassNamespace (const char *superClassNamespace)
void | pushScriptCallbackGuard (void)
void | popScriptCallbackGuard (void)
S32 | getScriptCallbackGuard (void)
Namespace * | getNamespace ()
| Return the object's namespace. More...
const char * | tabComplete (const char *prevText, S32 baseLen, bool)
virtual void | dump ()
virtual void | dumpClassHierarchy ()
SimObject * | clone (const bool copyDynamicFields)
virtual void | copyTo (SimObject *object)
template<typename T >
bool | isType (void)
virtual bool | handlesConsoleMethod (const char *fname, S32 *routingId)
| DECLARE_CONOBJECT (SimObject)
Notify * | removeNotify (void *ptr, Notify::Type)
| Remove a notification from the list. More...
void | deleteNotify (SimObject *obj)
| Notify an object when we are deleted. More...
void | clearNotify (SimObject *obj)
| Notify an object when we are cleared. More...
void | clearAllNotifications ()
| Remove all notifications for this object. More...
void | processDeleteNotifies ()
| Send out deletion notifications. More...
void | registerReference (SimObject **obj)
void | unregisterReference (SimObject **obj)
const char * | getDataField (StringTableEntry slotName, const char *array)
void | setDataField (StringTableEntry slotName, const char *array, const char *value)
const char * | getPrefixedDataField (StringTableEntry fieldName, const char *array)
void | setPrefixedDataField (StringTableEntry fieldName, const char *array, const char *value)
const char * | getPrefixedDynamicDataField (StringTableEntry fieldName, const char *array, const S32 fieldType=-1)
void | setPrefixedDynamicDataField (StringTableEntry fieldName, const char *array, const char *value, const S32 fieldType=-1)
StringTableEntry | getDataFieldPrefix (StringTableEntry fieldName)
U32 | getDataFieldType (StringTableEntry slotName, const char *array)
SimFieldDictionary * | getFieldDictionary ()
void | clearDynamicFields (void)
| Clear all dynamic fields. More...
void | setCanSaveDynamicFields (bool bCanSave)
| Set whether fields created at runtime should be saved. Default is true. More...
bool | getCanSaveDynamicFields (void) const
| Get whether fields created at runtime should be saved. Default is true. More...
void | setInternalName (const char *newname)
StringTableEntry | getInternalName ()
| Get the internal of of this control. More...
virtual bool | save (const char *pcFilePath, bool bOnlySelected=false)
| Save object as a TorqueScript File. More...
virtual bool | isMethod (const char *methodName)
| Check if a method exists in the objects current namespace. More...
SimObjectId | getId (void) const
StringTableEntry | getIdString (void) const
U32 | getType () const
const StringTableEntry | getName (void) const
void | setId (SimObjectId id)
void | assignName (const char *name)
SimGroup * | getGroup () const
bool | isChildOfGroup (SimGroup *pGroup)
bool | isProperlyAdded () const
bool | isDeleted () const
bool | isRemoved () const
bool | isLocked ()
void | setLocked (bool b)
bool | isHidden ()
void | setHidden (bool b)
void | setProgenitorFile (const char *pFile)
StringTableEntry | getProgenitorFile (void) const
void | setPeriodicTimerID (const S32 timerID)
S32 | getPeriodicTimerID (void) const
bool | isPeriodicTimerActive (void) const
bool | isSelected () const
bool | isExpanded () const
void | setSelected (bool sel)
void | setExpanded (bool exp)
void | setModDynamicFields (bool dyn)
void | setModStaticFields (bool sta)
| SimObject ()
virtual | ~SimObject ()
virtual void | onGroupAdd ()
| Called when the object is added to a SimGroup. More...
virtual void | onGroupRemove ()
| Called when the object is removed from a SimGroup. More...
virtual void | onNameChange (const char *name)
| Called when the object's name is changed. More...
virtual void | onStaticModified (const char *slotName, const char *newValue=NULL)
virtual void | onEditorEnable ()
| Called when the editor is activated. More...
virtual void | onEditorDisable ()
| Called when the editor is deactivated. More...
bool | registerObject ()
bool | registerObject (U32 id)
bool | registerObject (const char *name)
bool | registerObject (const char *name, U32 id)
void | unregisterObject ()
void | deleteObject ()
bool | addToSet (SimObjectId)
bool | addToSet (const char *)
bool | removeFromSet (SimObjectId)
bool | removeFromSet (const char *)
virtual bool | writeField (StringTableEntry fieldname, const char *value)
virtual void | writeFields (Stream &stream, U32 tabStop)
virtual void | buildFilterList ()
void | addFieldFilter (const char *fieldName)
void | removeFieldFilter (const char *fieldName)
void | clearFieldFilters ()
bool | isFiltered (const char *fieldName)
void | assignFieldsFrom (SimObject *obj)
void | assignDynamicFieldsFrom (SimObject *obj)
Public Member Functions inherited from ConsoleObject
const AbstractClassRep::Field * | findField (StringTableEntry fieldName) const
| Get a reference to a field by name. More...
virtual AbstractClassRep * | getClassRep () const
| Gets the ClassRep. More...
bool | setField (const char *fieldName, const char *value)
| Set the value of a field. More...
virtual | ~ConsoleObject ()
const AbstractClassRep::FieldList & | getFieldList () const
| Get a list of all the fields. This information cannot be modified. More...
AbstractClassRep::FieldList & | getModifiableFieldList ()
bool & | getDynamicGroupExpand ()
S32 | getClassId (U32 netClassGroup) const
const char * | getClassName () const
Public Member Functions inherited from Tickable
| Tickable ()
virtual | ~Tickable ()
virtual bool | isProcessingTicks () const
virtual void | setProcessTicks (bool tick=true)

## Static Public Member Functions
static void | initPersistFields ()
Static Public Member Functions inherited from GuiControl
static void | initPersistFields ()
Static Public Member Functions inherited from SimObject
static void | initPersistFields ()
Static Public Member Functions inherited from ConsoleObject
static const char * | lookupClassName (const U32 in_classTag)
| Get the classname from a class tag. More...
static void | initPersistFields ()
static void | consoleInit ()
static ConsoleObject * | create (const char *in_pClassName)
static ConsoleObject * | create (const U32 groupId, const U32 typeId, const U32 in_classId)
static AbstractClassRep * | getStaticClassRep ()
| Get the abstract class information for this class. More...
static AbstractClassRep * | getParentStaticClassRep ()
| Get the abstract class information for this class's superclass. More...
Static Public Member Functions inherited from Tickable
static bool | advanceTime (U32 timeDelta)

## Additional Inherited Members
Public Types inherited from GuiControl
enum | horizSizingOptions { horizResizeRight = 0, horizResizeWidth, horizResizeLeft, horizResizeCenter, horizResizeRelative }
enum | vertSizingOptions { vertResizeBottom = 0, vertResizeHeight, vertResizeTop, vertResizeCenter, vertResizeRelative }
Public Types inherited from SimSet
typedef SimObjectList::iterator | iterator
typedef SimObjectList::value_type | value
Public Types inherited from SimObject
enum | WriteFlags { SelectedOnly = BIT(0) }
Public Attributes inherited from GuiControl
GuiControlProfile * | mProfile
GuiControlProfile * | mTooltipProfile
S32 | mTipHoverTime
S32 | mTooltipWidth
bool | mVisible
bool | mActive
bool | mAwake
bool | mSetFirstResponder
bool | mCanSave
bool | mIsContainer
| if true, then the GuiEditor can drag other controls into this one. More...
S32 | mLayer
RectI | mBounds
Point2I | mMinExtent
StringTableEntry | mLangTableName
LangTable * | mLangTable
SimObjectPtr< GuiControl > | mFirstResponder
Static Public Attributes inherited from GuiControl
static GuiEditCtrl * | smEditorHandle = NULL
static S32 | smCursorChanged = -1
| Has this control modified the cursor? -1 or type. More...
static bool | smDesignTime = false
static GuiControl * | smPrevResponder = NULL
static GuiControl * | smCurResponder = NULL
Static Public Attributes inherited from Tickable
static const U32 | smTickShift = 4
| Shift value to control how often Ticks occur. More...
static const U32 | smTickMs = ( 1 << smTickShift )
| Number of milliseconds per tick, 32 in this case. More...
static const F32 | smTickSec = ( F32( Tickable::smTickMs ) / 1000.f )
| Fraction of a second per tick. More...
static const U32 | smTickMask = ( smTickMs - 1 )
Protected Member Functions inherited from GuiTickCtrl
virtual void | interpolateTick (F32 delta)
Protected Member Functions inherited from GuiControl
const char * | execConsoleCallback ()
| Executes mConsoleCommand, and returns the result. More...
const char * | execAltConsoleCallback ()
| Executes mAltConsoleCommand, and returns the result. More...
void | setVariable (const char *value)
void | setIntVariable (S32 value)
void | setFloatVariable (F32 value)
const char * | getVariable ()
| Returns value of control's bound variable as a string. More...
S32 | getIntVariable ()
| Returns value of control's bound variable as a integer. More...
F32 | getFloatVariable ()
| Returns value of control's bound variable as a float. More...
Protected Member Functions inherited from SimObject
virtual void | onTamlPreWrite (void)
| Taml callbacks. More...
virtual void | onTamlPostWrite (void)
| Called after Taml has finished writing the object. More...
virtual void | onTamlPreRead (void)
| Called prior to Taml reading the object. More...
virtual void | onTamlPostRead (const TamlCustomNodes &customNodes)
virtual void | onTamlAddParent (SimObject *pParentObject)
| Called after Taml has finished reading the object and has added the object to any parent. More...
virtual void | onTamlCustomWrite (TamlCustomNodes &customNodes)
| Called during the writing of the object to allow custom properties to be written. More...
virtual void | onTamlCustomRead (const TamlCustomNodes &customNodes)
| Called during the reading of the object to allow custom properties to be read. More...
void | linkNamespaces ()
void | unlinkNamespaces ()
Protected Member Functions inherited from ConsoleObject
| ConsoleObject ()
| ConsoleObject (const ConsoleObject &)
Static Protected Member Functions inherited from SimObject
static bool | setClass (void *obj, const char *data)
static bool | setSuperClass (void *obj, const char *data)
static bool | writeCanSaveDynamicFields (void *obj, StringTableEntry pFieldName)
static bool | writeInternalName (void *obj, StringTableEntry pFieldName)
static bool | setParentGroup (void *obj, const char *data)
static bool | writeParentGroup (void *obj, StringTableEntry pFieldName)
static bool | writeSuperclass (void *obj, StringTableEntry pFieldName)
static bool | writeClass (void *obj, StringTableEntry pFieldName)
static SimObject::Notify * | allocNotify ()
| Get a free Notify structure. More...
static void | freeNotify (SimObject::Notify *)
| Mark a Notify structure as free. More...
Static Protected Member Functions inherited from ConsoleObject
static void | addGroup (const char *in_pGroupname, const char *in_pGroupDocs=NULL)
static void | endGroup (const char *in_pGroupname)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const char *in_pFieldDocs)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const char *in_pFieldDocs)
static void | addFieldV (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, ConsoleTypeValidator *v, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const char *in_pFieldDocs=NULL)
static void | addDepricatedField (const char *fieldName)
static bool | removeField (const char *in_pFieldname)
Protected Attributes inherited from GuiControl
S32 | mHorizSizing
| Set from horizSizingOptions. More...
S32 | mVertSizing
| Set from vertSizingOptions. More...
StringTableEntry | mConsoleVariable
StringTableEntry | mConsoleCommand
StringTableEntry | mAltConsoleCommand
StringTableEntry | mAcceleratorKey
StringTableEntry | mTooltip
Protected Attributes inherited from SimSet
SimObjectList | objectList
void * | mMutex
Protected Attributes inherited from SimObject
SimObjectId | mId
| Id number for this object. More...
StringTableEntry | mIdString
Namespace * | mNameSpace
U32 | mTypeMask
S32 | mScriptCallbackGuard
| Whether the object is executing a script callback. More...
bool | mCanSaveFieldDictionary
| true if dynamic fields (added at runtime) should be saved, defaults to true More...
StringTableEntry | mInternalName
| Stores object Internal Name. More...
StringTableEntry | mClassName
| Stores the class name to link script class namespaces. More...
StringTableEntry | mSuperClassName
| Stores super class name to link script class namespaces. More...
Static Protected Attributes inherited from SimObject
static SimObject::Notify * | mNotifyFreeList = NULL

## Constructor & Destructor Documentation

GuiAutoScrollCtrl | ( |  | ) |

~GuiAutoScrollCtrl | ( |  | ) |

## Member Function Documentation

void advanceTime | ( | F32 | timeDelta | ) |
| virtual

This method is called once every frame regardless of the return value of isProcessingTicks and informs the object of the passage of time

Reimplemented from GuiTickCtrl.

void childResized | ( | GuiControl * | child | ) |
| virtual

Called when a child control of the object is resized

Parameters

  child | Child object

Reimplemented from GuiControl.

DECLARE_CONOBJECT | ( | GuiAutoScrollCtrl |  | ) |

void initPersistFields | ( |  | ) |
| static

void onChildAdded | ( | GuiControl * | child | ) |
| virtual

Called when this object has a new child.

Reimplemented from GuiControl.

void onChildRemoved | ( | GuiControl * | child | ) |
| virtual

Called when one of this objects children is removed.

Reimplemented from GuiControl.

void processTick | ( |  | ) |
| virtual

This method is called once every 32ms if isProcessingTicks returns true when called on the object

Reimplemented from GuiTickCtrl.

void resize | ( | const Point2I & | newPosition,
|  | const Point2I & | newExtent
| ) |  |
| virtual

Changes the size and/or position of this control

Parameters

  newPosition | New position of this control
  newExtent | New size of this control

Reimplemented from GuiControl.

The documentation for this class was generated from the following files:

- gui/containers/guiAutoScrollCtrl.h
- gui/containers/guiAutoScrollCtrl.cc